[arch-commits] CVS update of core/base/kernel26 (3 files)

Paul Mattal paul at archlinux.org
Fri Oct 19 01:16:48 UTC 2007


    Date: Thursday, October 18, 2007 @ 21:16:48
  Author: paul
    Path: /home/cvs-core/core/base/kernel26

   Added: lhash-2.6.22.patch (1.1) put_filp.patch (1.1)
Modified: PKGBUILD (1.265 -> 1.266)

Added patches for aufs support
Signed-off-by: paul, aaron, jan


--------------------+
 PKGBUILD           |   11 +++++++++--
 lhash-2.6.22.patch |   41 +++++++++++++++++++++++++++++++++++++++++
 put_filp.patch     |   16 ++++++++++++++++
 3 files changed, 66 insertions(+), 2 deletions(-)


Index: core/base/kernel26/PKGBUILD
diff -u core/base/kernel26/PKGBUILD:1.265 core/base/kernel26/PKGBUILD:1.266
--- core/base/kernel26/PKGBUILD:1.265	Mon Oct 15 13:54:24 2007
+++ core/base/kernel26/PKGBUILD	Thu Oct 18 21:16:47 2007
@@ -1,10 +1,10 @@
-# $Id: PKGBUILD,v 1.265 2007/10/15 17:54:24 tpowa Exp $
+# $Id: PKGBUILD,v 1.266 2007/10/19 01:16:47 paul Exp $
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 pkgname=kernel26
 _basekernel=2.6.23
 pkgver=2.6.23.1
-pkgrel=2
+pkgrel=3
 pkgdesc="The Linux Kernel and modules"
 arch=(i686 x86_64)
 license=('GPL2')
@@ -40,6 +40,8 @@
 	#http://heanet.dl.sourceforge.net/sourceforge/squashfs/squashfs3.2-r2.tar.gz broken!
 	squashfs3.2-patch.bz2
 	http://download.filesystems.org/unionfs/unionfs-2.1/unionfs-2.1.6_for_2.6.23-rc8.diff.gz
+	put_filp.patch
+	lhash-2.6.22.patch
 	adjust_current_level_to_closest_available.patch
 	hibernate-saa7134.diff
 	i915-oops.patch)
@@ -61,6 +63,8 @@
          'bbc730a590d4e09b3d937b257e5a4bfe'
          '2b1921ac36a6ec84aaf62f8a90e0052d'
          '5bdaef7b9e38f24e370ea0001e9fa578'
+         '1a7e063a4972143374049e0df006044e'
+         'b7e5e3ad9fae40eba0f1e91f49c31627'
          '5b40baab7fcd10d244308f9d1afda75c'
          '19d8ed2579c18627ed4de1fd037a6652'
          'a94660bbe1d5986a030a7af922fce72c')
@@ -100,6 +104,9 @@
   patch -Np1 -i ../squashfs3.2-patch || return 1
   # add unionfs
   patch -Np1 -i ../unionfs-2.1.6_for_2.6.23-rc8.diff || return 1
+  # add put_filp and lhash patches for aufs
+  patch -Np0 -i ../put_filp.patch || return 1
+  patch -Np1 -i ../lhash-2.6.22.patch || return 1
 
   # remove the extraversion from Makefile
   #sed -i 's|^EXTRAVERSION = .*$|EXTRAVERSION =-rc9|g' Makefile
Index: core/base/kernel26/lhash-2.6.22.patch
diff -u /dev/null core/base/kernel26/lhash-2.6.22.patch:1.1
--- /dev/null	Thu Oct 18 21:16:47 2007
+++ core/base/kernel26/lhash-2.6.22.patch	Thu Oct 18 21:16:47 2007
@@ -0,0 +1,41 @@
+Index: linux-2.6.22/fs/namei.c
+===================================================================
+RCS file: /ext1/sysadm/transparent/repository/linux-2.6.22/fs/namei.c,v
+retrieving revision 1.1
+retrieving revision 1.3
+diff -u -p -r1.1 -r1.3
+--- linux-2.6.22/fs/namei.c	12 Jul 2007 02:55:19 -0000	1.1
++++ linux-2.6.22/fs/namei.c	12 Jul 2007 03:00:50 -0000	1.3
+@@ -1280,7 +1280,7 @@ out:
+  * needs parent already locked. Doesn't follow mounts.
+  * SMP-safe.
+  */
+-static inline struct dentry * __lookup_hash(struct qstr *name, struct dentry *base, struct nameidata *nd)
++struct dentry * __lookup_hash(struct qstr *name, struct dentry *base, struct nameidata *nd)
+ {
+ 	struct dentry *dentry;
+ 	struct inode *inode;
+@@ -2766,6 +2766,7 @@ EXPORT_SYMBOL(follow_up);
+ EXPORT_SYMBOL(get_write_access); /* binfmt_aout */
+ EXPORT_SYMBOL(getname);
+ EXPORT_SYMBOL(lock_rename);
++EXPORT_SYMBOL(__lookup_hash);
+ EXPORT_SYMBOL(lookup_one_len);
+ EXPORT_SYMBOL(page_follow_link_light);
+ EXPORT_SYMBOL(page_put_link);
+Index: linux-2.6.22/include/linux/namei.h
+===================================================================
+RCS file: /ext1/sysadm/transparent/repository/linux-2.6.22/include/linux/namei.h,v
+retrieving revision 1.1
+retrieving revision 1.2
+diff -u -p -r1.1 -r1.2
+--- linux-2.6.22/include/linux/namei.h	12 Jul 2007 02:55:19 -0000	1.1
++++ linux-2.6.22/include/linux/namei.h	12 Jul 2007 02:55:20 -0000	1.2
+@@ -81,6 +81,7 @@ extern struct file *lookup_instantiate_f
+ extern struct file *nameidata_to_filp(struct nameidata *nd, int flags);
+ extern void release_open_intent(struct nameidata *);
+ 
++struct dentry * __lookup_hash(struct qstr *name, struct dentry * base, struct nameidata *nd);
+ extern struct dentry * lookup_one_len(const char *, struct dentry *, int);
+ extern struct dentry *lookup_one_len_kern(const char *, struct dentry *, int);
+ 
Index: core/base/kernel26/put_filp.patch
diff -u /dev/null core/base/kernel26/put_filp.patch:1.1
--- /dev/null	Thu Oct 18 21:16:47 2007
+++ core/base/kernel26/put_filp.patch	Thu Oct 18 21:16:47 2007
@@ -0,0 +1,16 @@
+Index: fs/file_table.c
+===================================================================
+RCS file: /ext1/sysadm/transparent/repository/linux-2.6.23-rc6/fs/file_table.c,v
+retrieving revision 1.1
+retrieving revision 1.2
+diff -u -p -r1.1 -r1.2
+--- fs/file_table.c	12 Sep 2007 16:24:04 -0000	1.1
++++ fs/file_table.c	12 Sep 2007 16:24:38 -0000	1.2
+@@ -243,6 +243,7 @@ void put_filp(struct file *file)
+ 		file_free(file);
+ 	}
+ }
++EXPORT_SYMBOL(put_filp);
+ 
+ void file_move(struct file *file, struct list_head *list)
+ {




More information about the arch-commits mailing list